package ink.wgink.pojo.bos.menu;

/**
 * @ClassName: SaveMenuBO
 * @Description: 保存菜单
 * @Author: wanggeng
 * @Date: 2022/6/16 09:44
 * @Version: 1.0
 */
public class UpdateMenuBO {

    private String menuName;
    private String menuUrl;
    private String menuOrder;
    private Integer menuStatus;
    private Integer menuType;
    private Integer openType;

    public String getMenuName() {
        return menuName == null ? "" : menuName.trim();
    }

    public void setMenuName(String menuName) {
        this.menuName = menuName;
    }

    public String getMenuUrl() {
        return menuUrl == null ? "" : menuUrl.trim();
    }

    public void setMenuUrl(String menuUrl) {
        this.menuUrl = menuUrl;
    }

    public String getMenuOrder() {
        return menuOrder == null ? "" : menuOrder.trim();
    }

    public void setMenuOrder(String menuOrder) {
        this.menuOrder = menuOrder;
    }

    public Integer getMenuStatus() {
        return menuStatus == null ? 0 : menuStatus;
    }

    public void setMenuStatus(Integer menuStatus) {
        this.menuStatus = menuStatus;
    }

    public Integer getMenuType() {
        return menuType;
    }

    public void setMenuType(Integer menuType) {
        this.menuType = menuType;
    }

    public Integer getOpenType() {
        return openType;
    }

    public void setOpenType(Integer openType) {
        this.openType = openType;
    }
}
